# Categories

- Action
  - [X] ActionButton
- Blob (choose to extract each preview component to their own library?)
  - [-] FileSelectBox
- Choice
  - [X] ComboBox
  - [X] DropdownSelect
  - [X] MenuSelect
  - [X] RadioButton
  - [X] RadioTickBox
- Color
  - [ ] ColorPicker
  - [X] Swatch (unify with color picker? Swatch is basically a readonly color picker with click-to-copy behavior)
- Code
  - [ ] CodeInput (extract to own package)
  - [X] CodeBlock (`react-refractor`)
  - [ ] VerifyCodeInput (for OTP inputs)
- Formatted
  - [X] EmailInput
  - [X] PhoneNumberInput
  - [X] UrlInput
- Freeform
  - [X] MaskedTextInput
  - [X] MultilineTextInput
  - [X] TextInput (add click-to-copy prop)
- Geo
  - [ ] Map
- Information
  - [X] Badge
  - [X] KeyValueTable
- MultiChoice
  - [X] MenuMultiSelect
  - [X] TagInput
  - [X] ToggleButton
  - [X] ToggleSwitch
  - [X] ToggleTickBox
- Navigation
  - [ ] Breadcrumb
  - [X] LinkButton
  - [ ] Pagination
  - [ ] Steps
- Number
  - [X] Slider
  - [X] Spinner
  - [ ] Matrix2D
- Presentation
  - [ ] Tabs
  - [ ] Accordion
- Rating
  - [ ] Rating
- RichText (extract to own package)
  - [ ] RichTextInput
- Temporal
  - [ ] Calendar
  - [X] DateDropdown
  - [ ] DateTimeRangeInput
  - [ ] DurationInput
  - [ ] MonthInput
  - [ ] MonthDayInput
  - [X] TimeSpinner
  - [-] YearMonthInput
  - [-] WeekInput
  - [ ] YearInput

# Others
- [X] Add `select-none` to input labels, etc.
- [X] Add indicators to components (select, datetime input etc)
- [ ] Add proxies for setting component values
  - [ ] formatted/phonenumberinput
  - [ ] multichoice/taginput
  - [ ] blob/fileselectbox (?)
- [ ] Test all components!
- [ ] Where to put the "click-to-copy" textboxes? Does `Swatch`
  belong to this category?
- [ ] Add `aria-*` attributes to all components
- [ ] react-refractor, fix rendering on Lynx!
- [ ] Limit component props to only those that are relevant
