export const AVAILABLE_SIZES = ['small', 'medium', 'large'] as const;

export type Size = typeof AVAILABLE_SIZES[number];

export const AVAILABLE_VARIANTS = ['default', 'alternate'] as const;

export type Variant = typeof AVAILABLE_VARIANTS[number];

export const AVAILABLE_INPUT_TYPES = ['text', 'search'] as const;

export type InputType = typeof AVAILABLE_INPUT_TYPES[number];

export const AVAILABLE_INPUT_MODES = ['none', 'numeric', 'decimal', ...AVAILABLE_INPUT_TYPES] as const;

export type InputMode = typeof AVAILABLE_INPUT_MODES[number];
